package betterwithmods.common.advancements;

import betterwithmods.BWMod;
import net.minecraft.advancements.CriteriaTriggers;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.util.ResourceLocation;
import net.minecraft.util.math.AxisAlignedBB;
import net.minecraft.world.World;

public class BWAdvancements {

    public static final ConstructLibraryTrigger CONSTRUCT_LIBRARY = CriteriaTriggers.func_192118_a(new ConstructLibraryTrigger());
    public static final InfernalEnchantedTrigger INFERNAL_ENCHANTED = CriteriaTriggers.func_192118_a(new InfernalEnchantedTrigger());

    public static final SimpleTrigger CONSTRUCT_KILN = CriteriaTriggers.func_192118_a(new SimpleTrigger(new ResourceLocation(BWMod.MODID, "construct_kiln")));
    public static final SimpleTrigger SPAWN_HOPPER_FRIEND = CriteriaTriggers.func_192118_a(new SimpleTrigger(new ResourceLocation(BWMod.MODID, "spawn_hopper_friend")));
    public static final SimpleTrigger EXPLOSIVE_RECIPE = CriteriaTriggers.func_192118_a(new SimpleTrigger(new ResourceLocation(BWMod.MODID, "explosive_recipe")));


    public static void registerAdvancements() {
    }

    public static void triggerNearby(World world, AxisAlignedBB aabb, SimpleTrigger trigger) {
        world.func_72872_a(EntityPlayerMP.class, aabb).forEach(trigger::trigger);
    }
}
